=== debian/control ===
Source: sdcv
Priority: optional
Section: utils
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 7.0.50), 
    dpkg-dev (>= 1.16.1~),
    gettext, 
    zlib1g-dev, 
    pkg-config, 
    libglib2.0-dev, 
    libreadline-dev, 
    autotools-dev,
    autoconf,
    autopoint,
    automake
Standards-Version: 3.9.3
Homepage: http://sdcv.sourceforge.net/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/sdcv/trunk/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/sdcv/trunk/

Package: sdcv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: StarDict Console Version
 sdcv is simple text-based utility for work with dictionaries in StarDict's
 format.
 .
 It supports command line interaction as well as interactive mode using
 readline.
