=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	autoreconf -f -i
	dh_auto_configure -- --with-readline
	$(MAKE) -C po update-gmo

override_dh_auto_test:
	mkdir -p tmphome/.stardict/dic
	HOME=`pwd`/tmphome/; export HOME; $(MAKE) check

%:
	dh $@
