=== debian/watch ===
version=3
http://sf.net/sdcv/sdcv-(.*)\.tar\.bz2
