## sdcv 0.4.2-1-maemo1

=== debian/changelog ===
sdcv (0.4.2-1-maemo1) unstable; urgency=low

  * Fix build depends

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Fri,  4 Nov 2011 14:22:00 +0100

sdcv (0.4.2-1-maemo0) unstable; urgency=low

  * Initial release for Maemo 5 (Nokia N900)

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Fri,  4 Nov 2011 13:10:48 +0100
