## sdcv 0.5.0~beta2

=== debian/changelog ===
sdcv (0.5.0~beta2-2) unstable; urgency=low

  * Explicitly build depend on g++ (>=4:4.8) for c++11 support.

 -- Michal Čihař <nijel@debian.org>  Thu, 31 Oct 2013 09:41:03 +0100

sdcv (0.5.0~beta2-1) unstable; urgency=low

  * Update watch file.
  * New upstream release (Closes: #721282).
    - All patches incorporated upstream. 
    - Should fix searching for frequent words (Closes: #680281).
  * Use canonical VCS URLs in debian/control.
  * Adjust debian/rules to new CMake based build system.

 -- Michal Čihař <nijel@debian.org>  Tue, 10 Sep 2013 09:17:02 +0200

sdcv (0.4.2-17) unstable; urgency=low

  * Bump standards to 3.9.4.
  * Use debhelper 9 and use hardening flags thanks to it.

 -- Michal Čihař <nijel@debian.org>  Mon, 17 Jun 2013 10:11:00 +0200
