=== debian/control ===
Source: sdcv
Priority: optional
Section: utils
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 9), 
    dpkg-dev (>= 1.16.1~),
    g++ (>=4:4.8),
    cmake,
    gettext, 
    zlib1g-dev, 
    pkg-config, 
    libglib2.0-dev, 
    libreadline-dev
Standards-Version: 3.9.4
Homepage: http://sdcv.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/sdcv/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/sdcv/trunk/

Package: sdcv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: StarDict Console Version
 sdcv is simple text-based utility for work with dictionaries in StarDict's
 format.
 .
 It supports command line interaction as well as interactive mode using
 readline.
