=== debian/watch ===
version=3
opts=uversionmangle=s/-Source$//;s/-(beta)/~$1/ \
http://sf.net/sdcv/sdcv-(.*)\.tar\.bz2
