## sdcv 0.5.0~beta4

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,15 +42,13 @@
   src/utils.cpp 
   src/utils.hpp
 
-  src/lib/lib.cpp
-  src/lib/lib.hpp
-  src/lib/dictziplib.cpp
-  src/lib/dictziplib.hpp  
-  src/lib/distance.cpp 
-  src/lib/distance.h
-  src/lib/mapfile.hpp
-  src/lib/file.hpp
-  src/lib/file.cpp
+  src/stardict_lib.cpp
+  src/stardict_lib.hpp
+  src/dictziplib.cpp
+  src/dictziplib.hpp  
+  src/distance.cpp 
+  src/distance.hpp
+  src/mapfile.hpp
 )
 
 if (ENABLE_NLS)
@@ -96,7 +94,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.org")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "0-beta2")
+set(CPACK_PACKAGE_VERSION_PATCH "0-beta4")
 
 set(sdcv_VERSION
 	"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
