=== debian/changelog ===
sdcv (0.5.0~beta4-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 29 Oct 2014 10:39:08 +0100

sdcv (0.5.0~beta2-3) unstable; urgency=low

  * Adjust Vcs-Svn URL.
  * Bump standards to 3.9.6.
  * Fix debian/copyright.

 -- Michal Čihař <nijel@debian.org>  Mon, 06 Oct 2014 10:06:20 +0200
