=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     pkg-config, 
     libglib2.0-dev, 
     libreadline-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://sdcv.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/sdcv/trunk/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/sdcv/trunk/
