=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=ON

override_dh_auto_build:
	dh_auto_build -- all lang

override_dh_auto_test:
	mkdir -p tmphome/.stardict/dic
	# Exclude test which requires particullar dictionary
	export HOME=`pwd`/tmphome/; dh_auto_test -- ARGS+="-V -E t_utf8input"

%:
	dh $@
