## sdcv 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
 cmake_policy(VERSION 2.8)
 
+include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/compiler.cmake")
+
 set(ZLIB_FIND_REQUIRED True)
 include(FindZLIB)
 
@@ -25,11 +27,15 @@
 		"make sure that you install it")
 endif()
 
-find_path(READLINE_INCLUDE_DIR readline/readline.h)
-find_library(READLINE_LIBRARY NAMES readline) 
-if (READLINE_INCLUDE_DIR AND READLINE_LIBRARY)
-  set(WITH_READLINE TRUE)
-endif ()
+set(WITH_READLINE True CACHE BOOL "Use readline library")
+
+if (WITH_READLINE)
+  find_path(READLINE_INCLUDE_DIR readline/readline.h)
+  find_library(READLINE_LIBRARY NAMES readline)
+  if (NOT (READLINE_INCLUDE_DIR AND READLINE_LIBRARY))
+    set(WITH_READLINE False CACHE FORCE)
+  endif ()
+endif (WITH_READLINE)
 
 option(ENABLE_NLS "Enable NLS support" True)
 
@@ -82,6 +88,7 @@
 include_directories(
 	${ZLIB_INCLUDE_DIR}
 	${GLIB2_INCLUDE_DIRS}
+	${READLINE_INCLUDE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/src/lib
 	${CMAKE_CURRENT_BINARY_DIR}
 )
@@ -94,12 +101,12 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.org")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "0-beta4")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
 
 set(sdcv_VERSION
 	"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 
-add_definitions(-DVERSION="${sdcv_VERSION}" -DHAVE_CONFIG_H "-std=c++11")
+add_definitions(-DVERSION="${sdcv_VERSION}" -DHAVE_CONFIG_H)
 
 add_executable(sdcv ${sdcv_SRCS})
 
@@ -109,40 +116,41 @@
   ${READLINE_LIBRARY}
 )
 if (ENABLE_NLS)
-set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "locale")
+  set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "locale")
 endif ()
 
 include(CPack)
 
-INSTALL(TARGETS sdcv DESTINATION "bin")
-INSTALL(FILES doc/sdcv.1 DESTINATION "share/man/man1")
-INSTALL(FILES doc/uk/sdcv.1 DESTINATION "share/man/uk/man1")
+install(TARGETS sdcv DESTINATION "bin")
+install(FILES doc/sdcv.1 DESTINATION "share/man/man1")
+install(FILES doc/uk/sdcv.1 DESTINATION "share/man/uk/man1")
 
 if (ENABLE_NLS)
-  INSTALL(DIRECTORY "${gettext_outDir}" DESTINATION "share")
+  install(DIRECTORY "${gettext_outDir}" DESTINATION "share")
 endif ()
 
 option(BUILD_TESTS "Enable automatic testing" False)
+
 if (BUILD_TESTS)
   find_program(SHELL_CMD NAMES sh bash
     DOC "Shell scripts interpretator command")
   message(STATUS "Build tests")
   enable_testing()# Force "make test" to works
 
-  get_target_property(sdcv_path sdcv LOCATION)
-  message(STATUS "path ${sdcv_path}")
-  string(REGEX REPLACE "\\$\\(.*\\)" "\${CTEST_CONFIGURATION_TYPE}"
-    sdcv_path "${sdcv_path}")
-
   macro(add_sdcv_shell_test test_name)
-    add_test(${test_name} "${SHELL_CMD}" "${CMAKE_CURRENT_SOURCE_DIR}/tests/${test_name}" "${sdcv_path}" "${CMAKE_CURRENT_SOURCE_DIR}/tests")
+    add_test(NAME ${test_name}
+      COMMAND "${SHELL_CMD}" "${CMAKE_CURRENT_SOURCE_DIR}/tests/${test_name}" $<TARGET_FILE:sdcv> "${CMAKE_CURRENT_SOURCE_DIR}/tests")
   endmacro()
 
   add_sdcv_shell_test(t_list)
   add_sdcv_shell_test(t_use)
+  add_sdcv_shell_test(t_only_data_dir)
+  add_sdcv_shell_test(t_synonyms)
+  add_sdcv_shell_test(t_json)
+  add_sdcv_shell_test(t_exact)
   add_sdcv_shell_test(t_interactive)
   add_sdcv_shell_test(t_utf8output)
   add_sdcv_shell_test(t_utf8input)
   add_sdcv_shell_test(t_datadir)
 
-endif ()
+endif (BUILD_TESTS)
