=== debian/changelog ===
sdcv (0.5.2-2) unstable; urgency=medium

  * Add patch to fix FTBFS on big endian machines (Closes: #881221).

 -- Michal Čihař <nijel@debian.org>  Fri, 17 Nov 2017 15:58:22 +0100

sdcv (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.8.
  * Move packaging to Git, adjust Vcs urls.
  * Update upstream homepage.
  * Bump standards to 4.1.1.
  * Run full testsuite, add jq to build depends for that.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Nov 2017 14:35:09 +0100
