=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
     dpkg-dev (>= 1.16.1~),
     g++ (>=4:4.8),
     cmake,
+    jq,
     gettext, 
     zlib1g-dev, 
     pkg-config, 
     libglib2.0-dev, 
     libreadline-dev
-Standards-Version: 3.9.6
-Homepage: http://sdcv.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/sdcv/trunk/
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/sdcv/trunk/
+Standards-Version: 4.1.1
+Homepage: http://dushistov.github.io/sdcv/
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sdcv.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sdcv.git
 
 Package: sdcv
 Architecture: any
