=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 override_dh_auto_test:
 	mkdir -p tmphome/.stardict/dic
-	# Exclude test which requires particullar dictionary
-	export HOME=`pwd`/tmphome/; dh_auto_test -- ARGS+="-V -E t_utf8input"
+	# Exclude json test as it's broken in both bash and dash
+	export HOME=`pwd`/tmphome/; dh_auto_test -- ARGS+="--output-on-failure"
 
 %:
 	dh $@
