=== debian/watch ===
version=3
http://dushistov.github.io/sdcv/ https://github.com/Dushistov/sdcv/archive/v([0-9.]*).tar.gz
