## sdcv 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,18 @@
 project(sdcv)
 
-# Older versions have a different signature for CMAKE_MINIMUM_REQUIRED,
-# check it manually just to make sure
-if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.8)
-  message(FATAL_ERROR "${PROJECT_NAME} requires at least CMake v2.8."
-		" You are running v${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}."
-		" Please upgrade." )
-endif(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.8)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
+cmake_policy(VERSION 3.5)
 
-# If we get this far, use the modern signature.  This will also cause newer
-# CMake versions to try to be backwards-compatible with the desired version
-cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
-cmake_policy(VERSION 2.8)
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED True)
+set(CMAKE_CXX_EXTENSIONS False)
 
 include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/compiler.cmake")
 
 set(ZLIB_FIND_REQUIRED True)
 include(FindZLIB)
 
-set(GLIB2_REQ "'glib-2.0 >= 2.6.1'")
+set(GLIB2_REQ "'glib-2.0 >= 2.36'")
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/FindGLIB2.cmake")
 
@@ -101,7 +95,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.org")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_PATCH "5")
 
 set(sdcv_VERSION
 	"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -152,5 +146,8 @@
   add_sdcv_shell_test(t_utf8output)
   add_sdcv_shell_test(t_utf8input)
   add_sdcv_shell_test(t_datadir)
+  add_sdcv_shell_test(t_return_code)
+  add_sdcv_shell_test(t_multiple_results)
+  add_sdcv_shell_test(t_newlines_in_ifo)
 
 endif (BUILD_TESTS)
