=== debian/changelog ===
sdcv (0.5.5-3) unstable; urgency=medium

  * Add build-essential to autopkgtest deps.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 10 Feb 2025 16:26:39 +0500

sdcv (0.5.5-2) unstable; urgency=medium

  * Adopt the package (Closes: #1085826).
  * Switch to dh-sequence-zz-debputy.
  * Add autopkgtests.
  * Annotate B-D: jq with <!nocheck>.
  * Update debian/clean.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 08 Feb 2025 21:00:06 +0500

sdcv (0.5.5-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package since the package maintainer has retired.
  * New upstream release. (Closes: #978132)
  * debian/watch: Properly monitor upstream GitHub tags.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Bump debhelper-compat to v13.
  * debian/patches: Dropped, not needed anymore.
  * debian/rules: Allow -fpermissive to circumvent FTBFS. See #1078404.
  * debian/rules: Disable parallel build to avoid flaky build failure.
  * debian/patches/:
    + 0001-Disable-t_list-test-due-to-need-of-installed-sdcv.patch:
      Add patch to disable t_list test, this test needs a working sdcv
      installation and thus is not suitable for post-build test.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 13:57:06 -0400
