=== debian/control ===
Source: sdcv
Priority: optional
Section: utils
Maintainer: Andrey Rakhmatullin <wrar@debian.org>
Build-Depends:
 dh-sequence-zz-debputy,
 cmake,
 debhelper-compat (= 13),
 gettext,
 jq <!nocheck>,
 libglib2.0-dev,
 libreadline-dev,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.7.0
Homepage: http://dushistov.github.io/sdcv/
Vcs-Browser: https://salsa.debian.org/debian/sdcv
Vcs-Git: https://salsa.debian.org/debian/sdcv.git
Description: StarDict Console Version
 sdcv is simple text-based utility for work with dictionaries in StarDict's
 format.
 .
 It supports command line interaction as well as interactive mode using
 readline.

Package: sdcv
Architecture: any
Description: ${source:Synopsis}
 ${source:Extended-Description}
