=== debian/rules ===
#!/usr/bin/make -f

# https://bugs.debian.org/1078404
export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=ON

override_dh_auto_build:
	dh_auto_build -- all lang

override_dh_auto_test:
	mkdir -p tmphome/.stardict/dic
	# Exclude json test as it's broken in both bash and dash
	export HOME=`pwd`/tmphome/; dh_auto_test -- ARGS+="--output-on-failure"
