=== debian/tests/control ===
Tests: ctest
Depends:
 @,
 build-essential,
 cmake,
 jq,
 libglib2.0-dev,
 libreadline-dev,
 pkgconf,
 zlib1g-dev,
